[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: APT do not work with Squid as a proxy because of pipelining default

Luigi Gangitano <luigi@debian.org> writes:

> Il giorno 17/mag/2010, alle ore 09.02, Goswin von Brederlow ha scritto:
>> Given that squid already has a patch, although only for newer versions,
>> this really seems to be a squid bug. As such it should be fixed in
>> squid as not only apt might trigger the problem.
> Goswin, can you please point me to the patch you mention?
>> That said setting the Pipeline-Depth to 0 as default or when a proxy is
>> configured might be advisable. Adding a apt.conf.d sniplet to the stable
>> apt should be a trivial change. Much simpler than fixing squid itself.
>> And in testing/unstable one can fix it properly or update squid to 3.0.
> I assume that squid3 is not affected by this bug, do you confirm this? If the patch you mentioned is related to squid3 a backport may or may not be feasible, but should try. :-)
> Regards,
> L

It was mentioned in an earlier mail that the issue was fixed in squid 3
but the patch doesn't apply to 2.x. No idea where that patch is, check
the previous mails.


Reply to: